:root {
    --adcs-font: normal 400 22px/28px 'Work Sans';
    --adcs-font-teaser: normal 400 0.9rem/1rem 'Work sans';
    --adcs-font-text: normal 400 1rem/1rem 'Work Sans';
    --adcs-font-label: normal 400 0.5rem/0.7rem "Sans serif";
    --adcs-font-nav: normal 600 1rem "Sans serif";
    --adcs-font-h1: normal 600 2.3125rem/2.75rem 'Work Sans';
    --adcs-font-h3: normal 600 1.25rem/1.75rem 'Work Sans';

    --adcs-color-accent: #12575d;

    --adcs-color-gray: #777;
    --adcs-color-ec: #ececec;

    --adcs-border-radius: 6px;

    
    --adcs-dark-color-a: #8db2e5;
}

section#adcs-container {

    .adcs-supplier {
        &::after {
            content: "Anzeige";
            display: inline-block;
            float: right;
            color: var(--adcs-color-gray);
        }
    }
    
    .adcs-nav {
        margin-bottom: 0.5em;
        a, a h1 span {
            color: var(--bs-text-subdued-alpha);
        }
        li {
            display: flex;
            &:after {
                margin: 0 !important;
                padding: 0 !important;
                content: "" !important;
                display: inline-block;
                width: 16px;
                height: 16px;
                background-image: url('https://assets.wallstreet-online.de/frontend/img/icons/icons/nav-arrow-right.svg');
                background-repeat: no-repeat;
                background-size: contain;
            }
            &:last-of-type {
                color: var(--bs-text-subdued-alpha);
                &:after {
                    content: " ";
                    width: 0;
                }
            }
        }
    }

    .adcs-main {
        * {
            font: var(--adcs-font);
        }



        .adcs-article, [data-type="imprint"] {
            max-width: 850px;
            margin: 0 auto;
        }

        [data-type="imprint"] {
            margin-top: 2.5em;
            * {
                font: var(--adcs-font-teaser);
                line-height: 1.5;
                color: var(--adcs-color-gray);
            }
            .headline {
                font: var(--adcs-font-label);
            }
            [data-field="advertorial.content_imprint"] {
                span, p {
                    display: block;
                    margin-bottom: 0.25em;
                }
                br {
                    -display: block;
                }
            }
        }

        [data-type="header"] {
            h1 {
                font: var(--adcs-font-h1);
                font-display: swap;
                font-stretch: condensed;
                letter-spacing: -0.02em;
                strong {
                    font: var(--adcs-font-h1);
                }
            }
            ul {
                li {
                    font: var(--adcs-font-label);
                    font-size: 0.75rem;
                    color: var(--adcs-color-gray);
                }
            }
        }

        [data-type="text"] {
            p, ul li {
                font: var(--adcs-font-text);
                font-size: initial !important;
                strong {
                    font-size: inherit !important;
                    font-weight: bold;
                }
                em {
                    font-size: inherit !important;
                    font-style: italic;
                }
                u {
                    font-size: inherit !important;
                }
            }
            ul {
                list-style-position: inside;
                list-style-type: disc;
                margin-left: 1em;
                li {
                    line-height: 1.5;
                }
            }
        }

        [data-type="info"] {
            padding: 0.65em 1em;
            border: 1px solid #888;
            h3 {
                font: var(--adcs-font-h1);
                font-size: large;
                line-height: normal;
                margin-bottom: 1em;
            }
            p {
                font: var(--adcs-font-text);
                line-height: 1.4em;
            }
        }

        [data-type="list"] {
            margin-bottom: 1em;
            h3 {
                font: var(--adcs-font-h1);
                font-size: large;
                line-height: normal;
                margin-bottom: 1em;
            }
            ul, ol {
                margin-left: 1em;
                li, li a {
                    font-size: initial;
                }
            }
            ul {
                list-style-type: disc;
                list-style-position: inside;
            }
        }

        [data-type="links"] {
            padding: 0.5em;
            padding-bottom: 1em;
            background-color: #ececec;
            margin-bottom: 2.5em;
            strong {
                font: var(--adcs-font-h1);
                font-size: large;
            }
            ul {
                list-style-position: inside;
                list-style-type: disc;
                li {
                    line-height: 1.5;
                    font-size: 1rem;
                    a {
                        font-size: 1rem;
                    }
                }
            }
        }

        [data-type="h2"] h2, [data-type="h3"] h3 {
            font: var(--adcs-font-h1);
            strong.k {
                font-weight: bold;
            }
        }

        [data-type="figure"] {
            figure {
                width: 100% !important;
                margin-bottom: 0.5em;
                picture {
                    width: 100% !important;
                    img {
                        display: block;
                        font: var(--adcs-font-label);
                        width: 100% !important;
                        border-radius: var(--adcs-border-radius);
                    }
                }
                figcaption {
                    div {
                        font: var(--adcs-font-label);
                        font-size: 0.8rem;
                        strong {
                            font: var(--adcs-font-label);
                        }
                    }
                }
            }
        }

        [data-type="html"] {
            table {
                tr {
                    td, th {
                        font: var(--adcs-font-text) !important;
                        font-size: initial !important;
                        strong {
                            font: var(--adcs-font-text) !important;
                            font-size: initial !important;
                        }
                    }
                }
            }
        }

        [data-type="footer"] {
            footer {
                font: var(--adcs-font-text);
                font-size: 1rem !important;
                strong {
                    font-size: inherit !important;
                    font-weight: inherit;
                }
                a {
                    strong {
                        font-size: 1rem !important;
                        font-weight: bold;
                    }
                }
                p {
                    font-weight: bold;
                }
            }
        }

        [data-type="faq"] {
            font-size: 1rem;
            ul {
                li {
                    * {
                        font-size: 1rem !important;
                    }
                }
            }
        }

        .adcs-teaser-item-content-meta * {
            font: var(--adcs-font-label);
        }

        .adcs-teaser-item-content-container {
            .adcs-teaser-item-content-container-a {
                picture {
                    min-height: 100px;
                    -background-color: #ececec;
                    margin-bottom: 0.5em;
                    border-radius: 6px;
                    img {
                        font: var(--adcs-font-label);
                        border-radius: var(--adcs-border-radius);
                        width: stretch;
                    }
                }
            }
            .adcs-teaser-item-content-teasertext {
                font: var(--adcs-font-teaser);
            }
        }

        .adcs-theme-right-list {
            a.adcs-theme-right-item {
                margin: 0 0 0.25em 0 !important;
                h3 {
                    font: var(--adcs-font-nav);
                    -border-left: 2px solid transparent;
                    padding: 2px;
                    padding-top: 4px;
                    padding-bottom: 3px;
                    &:hover {
                        -border-left: 2px solid var(--adcs-color-accent);
                        background-color: var(--adcs-color-ec);
                    }
                }
            }
        }

        .adcs-top-right-container,
            .adcs-theme-right-container {
            h2 {
                font: var(--adcs-font-nav);
            }
            .adcs-top-right-container-item {
                a {
                    picture {
                        img {
                            border-radius: var(--adcs-border-radius);
                        }
                    }
                }
                a:last-of-type {
                    margin-bottom: 1.5em !important;
                    padding-bottom: 0.25em;
                    border-bottom: 1px dotted #777;
                }
            }
            .adcs-teaser-item-content-teasertext {
                font: var(--adcs-font-teaser);
                line-height: 1.25;
                border-left: 2px solid transparent;
                padding: 2px;
                padding-top: 4px;
                &:hover {
                    border-left: 2px solid var(--adcs-color-accent);
                    background-color: var(--adcs-color-ec);
                }
            }
        }
        .adcs-top-right-container {
            margin-bottom: 2em !important;
        }
    }
}



@media screen and (max-width: 1024px) {
}

@media screen and (max-width: 768px) {
    nav.adcs-nav {
        display: none !important;
    }
    div.adcs-main {
        div.adcs-index, div.adcs-index-list {
            display: initial !important;
        }
    }

    div.adcs-supplier,
        div.adcs-disc {
        font: var(--adcs-font-label);
    }
}

@media screen and (max-width: 450px) {
    [data-type="header"] {
        h2 {
            float: none !important;
        }
        ul {
            display: inline-flex !important;
            li {
                font-size: xx-small !important;
            }
        }
    }
    [data-type="cta"] {
        a[href] {
            min-width: 100% !important;
        }
    }
    [data-type="h2"],[data-type="h3"] {
        h2, h3 {
            line-height: 1.25 !important;
        }
    }
    [data-type="html"] {
        &:has(table) {
            overflow-x: auto !important;
            -webkit-overflow-scrolling: touch !important;
        }
    }
}


/* a bit darker please */
@media (prefers-color-scheme: dark) {
    section[data-type="links"] {
        background-color: transparent !important;
    }
    .adcs-nav {
        li {
            &:after {
                filter: brightness(0) invert(1) !important;
            }
        }
    }
    .adcs-theme-right-list {
        h3 {
            &:hover {
                background-color: white;
                color: black;
            }
        }
    }
    .adcs-teaser-item-content-teasertext {
        &:hover {
            background-color: white;
            color: black;
        }
    }
}